Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### default

Examples

    char letter = 'F';

    switch(letter) {
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'B':
        println("Bravo");  // Does not execute
        break;
      default:
        println("Zulu");   // Prints "Zulu"
        break;
    }

Description | Keyword for defining the default condition of a switch(). If none of the case labels match the switch() parameter, the statement(s) after the default syntax are executed. Switch structures don't require a default.

Syntax

    default: statements

Parameters

statements | one or more valid statements to be executed

Usage | Web & Application
Related | switch() break case

Updated on August 30, 2010 04:29:39pm EDT